Bug 504325 - Enhancement: it should be possible to determine through qpid-tool which sessions a queues consumers belong to
Enhancement: it should be possible to determine through qpid-tool which sessi...
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.0
All Linux
high Severity medium
: 1.3
: ---
Assigned To: Ted Ross
ppecka
: FutureFeature
: 529042 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-05 11:27 EDT by Gordon Sim
Modified: 2010-10-14 12:10 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
The qpid-tool is now able to determine which session a queue consumer belongs to.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 12:10:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Sim 2009-06-05 11:27:01 EDT
Requires altering the broker and its management objects to provide thise detail.
Comment 2 Gordon Sim 2009-10-18 16:43:02 EDT
Requires modelling a subscription in the management schema in some form.
Comment 3 Gordon Sim 2009-10-18 16:43:22 EDT
*** Bug 529042 has been marked as a duplicate of this bug. ***
Comment 4 Carl Trieloff 2009-11-13 14:31:37 EST
Subscription is now modeled as of svn:835962.

qpid: schema org.apache.qpid.broker:subscription
Schema for class 'org.apache.qpid.broker:subscription':
    Element        Type          Unit     Access      Notes   Description
    ==============================================================================
    sessionRef     reference              ReadCreate  index   
    queueRef       reference              ReadCreate  index   
    name           short-string           ReadCreate  index   
    arguments      field-table            ReadCreate          
    acquire        boolean                ReadCreate          
    ackExpected    boolean                ReadCreate          
    syncFrequency  uint32                 ReadCreate          
    resumeID       short-string           ReadCreate          
    resumeTTL      uint64                 ReadCreate          
    exclusive      boolean                ReadCreate          
    mode           short-string           ReadOnly            WINDOW or CREDIT
    delivered      uint64        message                      Messages delivered
    accepted       uint64        message                      Messages accepted
qpid:
Comment 5 ppecka 2010-03-11 06:02:54 EST
The issue has been fixed on RHEL 4.8 / 5.4 i386 / x86_64 on packages:

qpid-cpp-server-0.7.916826-2.el5
qpid-cpp-client-ssl-0.7.916826-2.el5
qpid-cpp-server-ssl-0.7.916826-2.el5
qpid-cpp-server-store-0.7.916826-2.el5
qpid-cpp-server-devel-0.7.916826-2.el5
qpid-java-common-0.7.918215-1.el5
qpid-cpp-server-xml-0.7.916826-2.el5
qpid-cpp-client-0.7.916826-2.el5
qpid-cpp-client-devel-0.7.916826-2.el5
qpid-cpp-client-rdma-0.7.916826-2.el5
qpid-cpp-server-rdma-0.7.916826-2.el5
qpid-java-client-0.7.918215-1.el5
qpid-dotnet-0.4.738274-2.el5
qpid-tools-0.7.917557-4.el5
qpid-cpp-server-cluster-0.7.916826-2.el5
python-qpid-0.7.917557-4.el5

-> VERIFIED
Comment 6 ppecka 2010-03-11 08:02:21 EST
the issue has been fixed on RHEL 5.5.0.1 alpha i386 / x86_64 on packages:

qpid-cpp-server-0.7.916826-2.el5
qpid-cpp-client-ssl-0.7.916826-2.el5
qpid-cpp-server-ssl-0.7.916826-2.el5
qpid-cpp-server-store-0.7.916826-2.el5
qpid-cpp-server-devel-0.7.916826-2.el5
qpid-java-common-0.7.918215-1.el5
qpid-cpp-server-xml-0.7.916826-2.el5
qpid-cpp-client-0.7.916826-2.el5
qpid-cpp-client-devel-0.7.916826-2.el5
qpid-cpp-client-rdma-0.7.916826-2.el5
qpid-cpp-server-rdma-0.7.916826-2.el5
qpid-java-client-0.7.918215-1.el5
qpid-dotnet-0.4.738274-2.el5
qpid-tools-0.7.917557-4.el5
qpid-cpp-server-cluster-0.7.916826-2.el5
python-qpid-0.7.917557-4.el5

-> VERIFIED
Comment 7 Jaromir Hradilek 2010-10-07 11:58:48 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The qpid-tool is now able to determine which session a queue consumer belongs to.
Comment 9 errata-xmlrpc 2010-10-14 12:10:49 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0773.html

Note You need to log in before you can comment on or make changes to this bug.